Bug 680308 - Review Request: php-pear-MDB2-Schema - XML based database schema manager
Summary: Review Request: php-pear-MDB2-Schema - XML based database schema manager
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ruediger Landmann
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-02-25 00:52 UTC by Nick Bebout
Modified: 2011-03-16 18:18 UTC (History)
3 users (show)

Fixed In Version: php-pear-MDB2-Schema-0.8.0-2.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-03-05 02:28:35 UTC
rlandman: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Nick Bebout 2011-02-25 00:52:51 UTC
Spec URL: http://nb.fedorapeople.org/php-pear-MDB2-Schema.spec
SRPM URL: http://nb.fedorapeople.org/php-pear-MDB2-Schema-0.8.5-1.fc14.src.rpm
Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=2864763
Description: 
XML based database schema manager

Comment 1 Ruediger Landmann 2011-02-25 22:45:51 UTC
Looks nice and clean to me Nick

ACCEPT

============
 - = N/A
 / = Check
 ! = Problem
 ? = Not evaluated

 [/] Rpmlint output is clean:
$ rpmlint SPECS/php-pear-MDB2-Schema.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.
$ rpmlint /home/rlandmann/rpmbuild/SRPMS/php-pear-MDB2-Schema-0.8.5-1.fc14.src.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
$ rpmlint /home/rlandmann/rpmbuild/RPMS/noarch/php-pear-MDB2-Schema-0.8.5-1.fc14.noarch.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

 [/] Package is named according to the Package Naming Guidelines.
 [/] Spec file name must match the base package %{name}, in the format
%{name}.spec.
 [/] Package meets the Packaging Guidelines including the Language specific
items
 [/] Package is licensed with an open-source compatible license and meets other
legal requirements as defined in the legal section of Packaging Guidelines.
 [/] License field in the package spec file matches the actual license.
     License type: BSD
 [-] If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package is included in %doc.
 [/] Spec file is legible and written in American English.
 [/] Sources used to build the package matches the upstream source, as provided
in the spec URL.
$ md5sum ~/Download/MDB2_Schema-0.8.5.tgz
80512a099d79927a122d9baa8cef1bb4  /home/rlandmann/Download/MDB2_Schema-0.8.5.tgz
$ md5sum SOURCES/MDB2_Schema-0.8.5.tgz
80512a099d79927a122d9baa8cef1bb4  SOURCES/MDB2_Schema-0.8.5.tgz

 [/] Package successfully compiles and builds into binary rpms on at least one
supported architecture.
     Tested: http://koji.fedoraproject.org/koji/taskinfo?taskID=2867767
 [/] Package is not known to require ExcludeArch
 [/] All build dependencies are listed in BuildRequires, except for any that
are listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly (with the %find_lang macro)
 [-] ldconfig called in %post and %postun if required.
 [/] Package does not bundle copies of system libraries
 [/] Package is not relocatable.
 [/] Package must own all directories that it creates.
 [/] Package does not contain duplicates in %files.
 [/] Permissions on files are set properly
 [/] %files section includes a %defattr(...) line
 [/] Package consistently uses macros.
 [-] Large documentation files are in a -doc subpackage, if required.
 [/] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -static subpackage, if present.
 [-] Development .so files in -devel subpackage, if present.
 [-] -devel packages require base package with full versioning.
 [/] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI
application.
 [/] Package does not own files or directories owned by other packages.
 [/] Filenames are valid UTF-8

Comment 2 Nick Bebout 2011-02-27 01:12:38 UTC
New Package SCM Request
=======================
Package Name: php-pear-MDB2-Schema
Short Description: XML based database schema manager
Owners: nb
Branches: el5 el6 f13 f14 f15
InitialCC:

Comment 3 Jason Tibbitts 2011-02-28 14:59:30 UTC
Git done (by process-git-requests).

Comment 4 Fedora Update System 2011-02-28 20:19:35 UTC
Package php-pear-MDB2-Schema-0.8.5-1.fc15:
* should fix your issue,
* was pushed to the Fedora 15 updates-testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing php-pear-MDB2-Schema-0.8.5-1.fc15'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/php-pear-MDB2-Schema-0.8.5-1.fc15
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2011-02-28 20:19:47 UTC
Package php-pear-MDB2-Schema-0.8.5-1.fc13:
* should fix your issue,
* was pushed to the Fedora 13 updates-testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing php-pear-MDB2-Schema-0.8.5-1.fc13'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/php-pear-MDB2-Schema-0.8.5-1.fc13
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2011-02-28 20:19:59 UTC
Package php-pear-MDB2-Schema-0.8.5-1.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 updates-testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing php-pear-MDB2-Schema-0.8.5-1.el6'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/php-pear-MDB2-Schema-0.8.5-1.el6
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2011-02-28 20:20:10 UTC
Package php-pear-MDB2-Schema-0.8.5-1.fc14:
* should fix your issue,
* was pushed to the Fedora 14 updates-testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing php-pear-MDB2-Schema-0.8.5-1.fc14'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/php-pear-MDB2-Schema-0.8.5-1.fc14
then log in and leave karma (feedback).

Comment 8 Fedora Update System 2011-02-28 23:55:27 UTC
php-pear-MDB2-Schema-0.8.5-1.el6 has been pushed to the Fedora EPEL 6 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update php-pear-MDB2-Schema'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/php-pear-MDB2-Schema-0.8.5-1.el6

Comment 9 Fedora Update System 2011-03-01 12:08:02 UTC
Package php-pear-MDB2-Schema-0.8.0-2.el5:
* should fix your issue,
* was pushed to the Fedora EPEL 5 updates-testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing php-pear-MDB2-Schema-0.8.0-2.el5'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/php-pear-MDB2-Schema-0.8.0-2.el5
then log in and leave karma (feedback).

Comment 10 Fedora Update System 2011-03-05 02:28:18 UTC
php-pear-MDB2-Schema-0.8.5-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2011-03-09 20:50:42 UTC
php-pear-MDB2-Schema-0.8.5-1.fc13 has been pushed to the Fedora 13 stable repository.

Comment 12 Fedora Update System 2011-03-09 20:55:08 UTC
php-pear-MDB2-Schema-0.8.5-1.fc14 has been pushed to the Fedora 14 stable repository.

Comment 13 Fedora Update System 2011-03-16 18:17:27 UTC
php-pear-MDB2-Schema-0.8.5-1.el6 has been pushed to the Fedora EPEL 6 stable repository.

Comment 14 Fedora Update System 2011-03-16 18:18:09 UTC
php-pear-MDB2-Schema-0.8.0-2.el5 has been pushed to the Fedora EPEL 5 stable repository.


Note You need to log in before you can comment on or make changes to this bug.